Subject: Re: bug#72861: 30.0.90; remote tramp (30.0.90): Couldn't find a proper `ls' command

From: Michael Albinus <[email-masked]>
Date: Thu, 29 Aug 2024 08:38:23 +0200

Christopher Howard <[email-masked]> writes:

Hi Christopher,

> Hi, I forgot to mention it in the bug report, but I did try disable
> Helm and all my other non-default minor modes, but that did not
> work. Then I tried running in an "emacs -q" session and the problem
> would still occur exactly as I described. I wanted to try "emacs -Q"
> also but was getting other errors about missing files if I try to run
> Emacs with that switch. Maybe Emacs running on Guix needs special
> variables from the site file, not sure (...?)

Could you, pls, set tramp-verbose to 6, and rerun the test? There will
be a Tramp debug buffer, which I'd like to see.

See (info "(tramp) Traces and Profiles") about the details of the debug
buffer.

Best regards, Michael.